Skip to content
Proud to collaborate with Microsoft for Startups

docusign.envelope-recipient-tabs.get-recipient-tabs ​

Retrieves information about the tabs associated with a recipient. You can make a single API call to get all the tab values and information from a given, completed envelope in addition to draft ones. Tab values can be retrieved by using the EnvelopeRecipients:list method with query parameter include_tabs set to true.

Gets the tabs information for a signer or sign-in-person recipient in an envelope.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
recipientidstringYes—A local reference used to map recipients to other objects, such as specific document tabs. A recipientId must be either an integer or a GUID, and the recipientId must be unique within an envelope. For example, many envelopes assign the first recipient a recipientId of 1.
include_anchor_tab_locationsstringNo—When true, all tabs with anchor tab properties are included in the response. The default value is false.
include_metadatastringNo—When true, the response includes metadata indicating which properties are editable.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
recipientidstringYes—A local reference used to map recipients to other objects, such as specific document tabs. A recipientId must be either an integer or a GUID, and the recipientId must be unique within an envelope. For example, many envelopes assign the first recipient a recipientId of 1.
include_anchor_tab_locationsstringNo—When true, all tabs with anchor tab properties are included in the response. The default value is false.
include_metadatastringNo—When true, the response includes metadata indicating which properties are editable.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/tabs
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/tabs
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.envelope-recipient-tabs.get-recipient-tabs",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "envelopeid": "value",
    "recipientid": "value"
  }
}